org.apache.olingo.netty.server.core

## Class ODataNettyHandlerImpl

- java.lang.Object
- - org.apache.olingo.netty.server.core.ODataNettyHandlerImpl

- All Implemented Interfaces:
    ODataNettyHandler

      public class ODataNettyHandlerImpl
      extends Object
      implements ODataNettyHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COPY_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataNettyHandlerImpl(OData odata, ServiceMetadata serviceMetadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `process(ODataRequest request)`
    `void` | `processNettyRequest(io.netty.handler.codec.http.HttpRequest request, io.netty.handler.codec.http.HttpResponse response, Map<String,String> requestParameters)` Processes a NettyRequest as an OData request.
    `void` | `register(Processor processor)` Registers additional custom processor implementations for handling OData requests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COPY_BUFFER_SIZE

          public static final int COPY_BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ODataNettyHandlerImpl

          public ODataNettyHandlerImpl(OData odata,
                                       ServiceMetadata serviceMetadata)

  - ### Method Detail

    - #### processNettyRequest

          public void processNettyRequest(io.netty.handler.codec.http.HttpRequest request,
                                          io.netty.handler.codec.http.HttpResponse response,
                                          Map<String,String> requestParameters)

      Description copied from interface: `ODataNettyHandler`

      Processes a NettyRequest as an OData request.

      This includes URI parsing, content negotiation, dispatching the request to a specific custom processor implementation for handling data and creating the serialized content for the response object.

      Specified by:
        `processNettyRequest` in interface `ODataNettyHandler`
      Parameters:
        `request` - - must be a HTTP OData request
        `response` - - HTTP OData response

    - #### process

          public ODataResponse process(ODataRequest request)

    - #### register

          public void register(Processor processor)

      Description copied from interface: `ODataNettyHandler`

      Registers additional custom processor implementations for handling OData requests.

      If request processing requires a processor that is not registered then a "not implemented" exception will happen.

      Specified by:
        `register` in interface `ODataNettyHandler`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.